POST api/Zapier/InsertNote
Insert notes.
Request Information
URI Parameters
None.
Body Parameters
NoteIntegrationModel| Name | Description | Type | Additional information |
|---|---|---|---|
| database_id | globally unique identifier |
None. |
|
| subject | string |
None. |
|
| insured_database_id | globally unique identifier |
None. |
|
| insured_email | string |
None. |
|
| insured_first_name | string |
None. |
|
| insured_last_name | string |
None. |
|
| insured_commercial_name | string |
None. |
|
| create_date | string |
None. |
|
| creator_name | string |
None. |
|
| type | string |
None. |
|
| parent_note_id | globally unique identifier |
None. |
|
| hide | boolean |
None. |
|
| policy_database_id | globally unique identifier |
None. |
|
| policies_database_ids | Collection of globally unique identifier |
None. |
|
| origin | PolicyOrigin |
None. |
|
| taskId | globally unique identifier |
None. |
|
| is_sticky_note | boolean |
None. |
|
| sticky_note_color | StickyNoteColor |
None. |
|
| opportunity_database_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"database_id": "47e13e4c-b401-4183-86c9-f1478fbd1512",
"subject": "sample string 2",
"insured_database_id": "8f921c1e-c8ab-4d54-aa8f-5255cf284159",
"insured_email": "sample string 3",
"insured_first_name": "sample string 4",
"insured_last_name": "sample string 5",
"insured_commercial_name": "sample string 6",
"create_date": "sample string 7",
"creator_name": "sample string 8",
"type": "sample string 9",
"parent_note_id": "b6a957a2-eb12-48dc-866a-047bec77d168",
"hide": true,
"policy_database_id": "d8f1f005-70e5-49f7-8ec5-b58a5d417b51",
"policies_database_ids": [
"90a77109-f8a1-448f-8e74-0e5cab5ba287",
"54656e85-3e24-43e8-bd36-e9e787266de2"
],
"origin": 0,
"taskId": "bb89108b-fefa-4795-a62d-5c6e5eba539b",
"is_sticky_note": true,
"sticky_note_color": 0,
"opportunity_database_id": "cc4af874-eaa2-41d8-9c27-b6b859c6beaf"
}
application/xml, text/xml
Sample:
<NoteIntegrationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations">
<CreateDate>sample string 7</CreateDate>
<CreatorName>sample string 8</CreatorName>
<DatabaseId>47e13e4c-b401-4183-86c9-f1478fbd1512</DatabaseId>
<Hide>true</Hide>
<InsuredCommercialName>sample string 6</InsuredCommercialName>
<InsuredDatabaseId>8f921c1e-c8ab-4d54-aa8f-5255cf284159</InsuredDatabaseId>
<InsuredEmail>sample string 3</InsuredEmail>
<InsuredFirstName>sample string 4</InsuredFirstName>
<InsuredLastName>sample string 5</InsuredLastName>
<IsStickyNote>true</IsStickyNote>
<OpportunityDatabaseId>cc4af874-eaa2-41d8-9c27-b6b859c6beaf</OpportunityDatabaseId>
<Origin>Manual</Origin>
<ParentNoteId>b6a957a2-eb12-48dc-866a-047bec77d168</ParentNoteId>
<PoliciesDatabaseIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>90a77109-f8a1-448f-8e74-0e5cab5ba287</d2p1:guid>
<d2p1:guid>54656e85-3e24-43e8-bd36-e9e787266de2</d2p1:guid>
</PoliciesDatabaseIds>
<PolicyDatabaseId>d8f1f005-70e5-49f7-8ec5-b58a5d417b51</PolicyDatabaseId>
<StickyNoteColor>None</StickyNoteColor>
<Subject>sample string 2</Subject>
<TaskId>bb89108b-fefa-4795-a62d-5c6e5eba539b</TaskId>
<Type>sample string 9</Type>
</NoteIntegrationModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 1</Message> <Status>Error</Status> </NowCertsApiResult>